Subject: [Pce] FW: New Version Notification for draft-minei-pce-association-group-01.txt

From: "Zhangxian (Xian)" <[email-masked]>
Date: Thu, 2 Jul 2015 01:03:40 +0000

Hi, PCErs,

    Last time when this draft was presented, we received lots of interests/comments. So this version addresses them and the major changes are briefly summarized as below:

1) object encoding updated (similar to RSVP-TE ASSOCIATION, but NOT the same);

2) added RBNF of this newly defined object in PCEP messages;

3) refined the text around these two updates, including allowing both PCE and PCC to create association etc.;   

   Your comments are welcome!

Regards,
Xian (on behalf of all authors)

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: 2015年7月2日 8:55
To: Edward Crabbe; Siva Sivabalan; Siva Sivabalan; Yosuke Tanaka; Hariharan Ananthakrishnan; Zhangxian (Xian); Ina Minei; Zhangxian (Xian); Edward Crabbe; Hariharan Ananthakrishnan; Ina Minei; Yosuke Tanaka
Subject: New Version Notification for draft-minei-pce-association-group-01.txt

A new version of I-D, draft-minei-pce-association-group-01.txt
has been successfully submitted by Xian Zhang and posted to the
IETF repository.

Name:		draft-minei-pce-association-group
Revision:	01
Title:		PCEP Extensions for Establishing Relationships Between Sets of LSPs
Document date:	2015-07-02
Group:		Individual Submission
Pages:		13
URL:            https://www.ietf.org/internet-drafts/draft-minei-pce-association-group-01.txt
Status:         https://datatracker.ietf.org/doc/draft-minei-pce-association-group/
Htmlized:       https://tools.ietf.org/html/draft-minei-pce-association-group-01
Diff:           https://www.ietf.org/rfcdiff?url2=draft-minei-pce-association-group-01

Abstract:
   This document introduces a generic mechanism to create a grouping of
   LSPs in the context of a PCE.  This grouping can then be used to
   define associations between sets of LSPs or between a set of LSPs and
   a set of attributes (such as configuration parameters or behaviors),
   and is equally applicable to the active and passive modes of a
   stateful PCE as well as a stateless PCE.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: Cyril Margaria <[email-masked]>
Date: Wed, 22 Jul 2015 04:02:09 -0400

Hi,

I did read the document, having PCE-initiated association is a good thing
in my opinion.

I think the following points should be added to the document:
1) capability negotiation
2) Considerations on how each peer should deal with the extra state, and
associated error codes to say "too many assiocations"

For the capability negotiation, I would like to contribute the following
text:

 "
4. Support of LSP association

   A PCEP speaker should be able to discover the other peer LSP
   association capabilities during the Open message exchange.
   This capability is also useful to avoid misconfigurations.
   The result of the negotiation does include which association types
   are supported by the other peer.

4.1.  OPEN Object extension ASSOCIATION-CAPABILITY TLV

   This document defines a new optional ASSOCIATION-CAPABILITY TLV for
   use in the OPEN object to negotiate the LSP association capability.
   The inclusion of this TLV in the OPEN message indicates that the
   PCC/PCE support the PCEP extensions defined in the document.  A PCE
   that is able to support the LSP Associaiton extensions defined in
   this document SHOULD include the ASSOCIATION-CAPABILITY TLV on the
   OPEN message. If either peer does not include the
   ASSOCIATION-CAPABILITY TLV  in the OPEN message, the PCCand the PCE
   MUST NOT use any of this document objects and procedure.

   The ASSOCIATION-CAPABILITY TLV carries the list supported
   association types. The association types supported by the session
   is the intersection of both peer list. the peer MUST NOT make use
   of any association type not in this list.

   IANA has allocated value TBA-1 from the "PCEP TLV Type Indicators" sub-
   registry, as documented in Section xx ("New PCEP TLVs").  The
   description is "ASSOCIATION-CAPABILITY".  Its format is shown in the
   following figure.

    0                   1                   2                   3
    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
    |               Type=TBA-1      |    Length (variable)          |
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
    | Type  | Type-capabilities     |   ...                         |
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

    Each supported association type is described by a 16-bit entry
    consisting of the following fields:

    Type (4 bits) : Supported association type
    Type-capabilities (12 bits): Type-specific capabilities. This
    field is defined by the document defining an association type.
"

Best regards,
Cyril

On 1 July 2015 at 21:03, Zhangxian (Xian) <[email-masked]> wrote:

> Hi, PCErs,
>
>     Last time when this draft was presented, we received lots of
> interests/comments. So this version addresses them and the major changes
> are briefly summarized as below:
>
> To: Edward Crabbe; Siva Sivabalan; Siva Sivabalan; Yosuke Tanaka;
> Hariharan Ananthakrishnan; Zhangxian (Xian); Ina Minei; Zhangxian (Xian);
> Edward Crabbe; Hariharan Ananthakrishnan; Ina Minei; Yosuke Tanaka
> URL:
> https://www.ietf.org/internet-drafts/draft-minei-pce-association-group-01.txt
> Status:
> https://datatracker.ietf.org/doc/draft-minei-pce-association-group/
> Htmlized:
> https://tools.ietf.org/html/draft-minei-pce-association-group-01
> Diff:
> https://www.ietf.org/rfcdiff?url2=draft-minei-pce-association-group-01
>
> Abstract:
> _______________________________________________
> Pce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pce
>